techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. V3
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
          GET
        • List Super Plans
          GET
        • Super Plan Details
          GET
        • Plan Date Details
          GET
        • List Feature Plan Tags
          GET
        • List Featured Plans
          GET
        • Plan Menu Categories
          GET
        • Has Purchased Plan
          POST
    • Order
      • Place Order
        • Place Order
        • List orders
        • Order Details
        • Vouchered Cart
        • Discounted Cart
        • Redeemed Cart
        • Add-On Order
        • Redeemed Add-Ons Cart
    • Menus
      • List Menus
      • Menu Details
      • Menu Add-Ons Details
      • Menu Options
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. V3

Plan Tag

GET
https://api.techrar.com/api/v3/plans/tags/
This endpoint allows customers to retrieve all active plan tags (such as dietary preferences or meal categories) with optional filtering by tag type

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200Unauthorized
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v3/plans/tags/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "id": 180,
        "custom_fields": null,
        "app_id": 90,
        "created_at": "2025-05-22T16:46:51.995132+03:00",
        "modified_at": "2025-05-22T16:48:12.046447+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "type_en": null,
        "type_ar": "ساره",
        "tag_en": "Sara test",
        "tag_ar": "Sara test",
        "is_featured": false,
        "featured_plan_id": null,
        "is_active": true,
        "image": null,
        "color": null,
        "description_en": null,
        "description_ar": null,
        "corporate": 34
    }
]
Modified at 2025-12-02 07:37:14
Previous
List SubOrder Invoices
Next
List Super Plans
Built with